org.eclipse.cdt.core.dom.ast

## Interface ITypedef

All Superinterfaces:
  Cloneable, IBinding, IType

All Known Subinterfaces:
  ICPPAliasTemplateInstance

    public interface ITypedef
    extends IBinding, IType

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IType

`EMPTY_TYPE_ARRAY, TYPE_MATCHER`

### Method Summary

All Methods Instance Methods Abstract Methods
`IType` `getType()` Returns the type that this thing is a typedef of.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IType

`clone, isSameType`

### Method Detail

#### getType

    IType getType()

Returns the type that this thing is a typedef of.